load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Selenium Recipes - Click Button" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/button.html")
  end

  after(:all) do
    driver.quit unless debugging?
  end

  it "Click disabled button" do
    expect(driver.find_element(:id, "choose_selenium_btn").enabled?).to be_truthy
    driver.find_element(:link_text, "Disable").click
    expect(driver.find_element(:id, "choose_selenium_btn").enabled?).to be_falsey
    driver.find_element(:id, "choose_selenium_btn").click
  end

  it "Click Nth button" do
    # ignored the type submit, only the second input
    driver.find_element(:css, "form#login > input:nth-child(2)").click
  end

  it "a hidden button" do
    driver.find_element(:id, "choose_selenium_btn")
    driver.find_element(:link, "Hide").click
    sleep 0.2
    expect(driver.find_element(:id, "choose_selenium_btn").displayed?).to be_falsey
    driver.find_element(:id, "choose_selenium_btn") # still OK to find it.
    driver.find_element(:id, "choose_selenium_btn").click
  end

  it "submit form" do
    driver.navigate.to(site_url + "/button.html")
    elem = driver.find_element(:name, "submit_action")
    elem.click

    driver.get(site_url + "/button.html")
    driver.find_element(:name, "submit_action").send_keys(:enter)
    
    driver.get(site_url + "/button.html")
    driver.find_element(:name, "user").submit
  end
end
