load File.dirname(__FILE__) + '/../test_helper.rb'

describe "Quiz - Radio Buttons" do
  include TestHelper

  before(:all) do
    @driver = $browser = Selenium::WebDriver.for(browser_type, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/radio_button.html")
  end

  after(:all) do
    driver.quit unless debugging?
  end
  
  it "Clear radio button option by name and value" do
    elem = driver.find_element(:xpath, "//input[@name='gender' and @value='female']")
    elem.click
  end
   

  it "Clear radio button option by name and value" do
    driver.find_element(:xpath, "//input[@name='gender' and @value='female']").click
    begin
      driver.find_element(:xpath, "//input[@name='gender' and @value='female']").clear
    rescue => e
      # Selenium does not allow
      puts "Selenium does not allow clear currently selected radio button, just select another one"
      driver.find_element(:xpath, "//input[@name='gender' and @value='male']").click
    end
  end

  # Assertion
  it "Verify radio option is selected " do
    driver.find_element(:xpath, "//input[@name='gender' and @value='female']").click
    expect(driver.find_element(:xpath, "//input[@name='gender' and @value='female']").selected?).to be_truthy
    expect(driver.find_element(:xpath, "//input[@name='gender' and @value='male']").selected?).to be_falsey
  end

  # Advanced, General
  it "Find all radio button in a radio group and iterate though them" do
    expect(driver.find_elements(:name => "gender").size).to eq(2)
    driver.find_elements(:name => "gender").each do |rb|
      rb.click if rb["value"] == "female"
    end
  end

  it "Click Nth radio button" do
    driver.find_elements(:name => "gender")[1].click
    expect(driver.find_element(:xpath, "//input[@name='gender' and @value='female']").selected?).to be_truthy
    driver.find_elements(:name => "gender")[0].click
    expect(driver.find_element(:xpath, "//input[@name='gender' and @value='male']").selected?).to be_truthy
  end

  it "Click radio button by the following label" do
    elem = driver.find_element(:xpath, "//div[@id='q1']//label[contains(.,'Yes')]/../input[@type='radio']")
    elem.click
  end
  
  it "Styled iCheck radio button" do
    # Error: Element is not clickable
    # driver.find_element(:id, "q2_1").click
    driver.find_elements(:class, "iradio_square-red").first.click
    driver.find_elements(:class, "iradio_square-red").last.click
    
    # More precise with XPath
    driver.find_element(:xpath, "//div[contains(@class, 'iradio_square-red')]/input[@type='radio' and @value='male']/..").click
  end
  
end
