load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Quiz - Navigation - Browser" do
  include TestHelper

  after(:all) do
  end

  it "Driver get" do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
    shall_not_allow { driver.get("whenwise.com") }
    driver.navigate.to("https://whenwise.com")
    driver.get("https://whenwise.com")
  end

  it "Switch tab" do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
    2.times do
      driver.navigate.to(site_url + "/link.html")
      driver.find_element(:link_text, "Open new window").click # target='_blank' link
    end
    puts driver.window_handles.count
    driver.navigate.refresh
    sleep 1
    driver.switch_to.window(driver.window_handles[0]) # switch to the first tab
    sleep 1
    driver.switch_to.window(driver.window_handles[-1]) # switch to the last tab
    sleep 2
    @driver.quit
  end

  it "Quit or Close" do
    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
    driver.close

    @driver = $driver = Selenium::WebDriver.for(browser_type, browser_options)
    2.times do
      driver.navigate.to(site_url + "/link.html")
      driver.find_element(:link_text, "Open new window").click # target='_blank' link
    end
    puts driver.window_handles.count
    driver.navigate.refresh
    sleep 1
    driver.switch_to.window(driver.window_handles[1])
    driver.close # current tab

    # browser is still there
    shall_not_allow { puts driver.title } # just closed, need to swtich to
    driver.switch_to.window(driver.window_handles[0])
    driver.quit
  end

  # exclude for Continuous Testing
=begin
  it "Open and close a new browser tab " do
    new_web_page_url = "https://clinicwise.net"

    Timeout::timeout(10) {
      driver.execute_script("window.open('#{new_web_page_url}', '_blank')")
      tab_count = driver.window_handles.size
      driver.switch_to.window(driver.window_handles[-1]) # switch to the last tab
      driver.find_element(:link_text, "PRICING").click
    }

    # now try to close first tab
    driver.switch_to.window(driver.window_handles.first)
    driver.find_element(:link_text, "Hyperlink").click #
    driver.close
    expect(driver.window_handles.size).to eq(tab_count - 1)
    # re-focus
    driver.switch_to.window(driver.window_handles[-1])
    driver.find_element(:link_text, "FEATURES").click
  end
=end

end
