load File.dirname(__FILE__) + "/../test_helper.rb"

describe "Quiz - Frames" do
  include TestHelper

  before(:all) do
    @driver = $driver = Selenium::WebDriver.for(:chrome, browser_options)
  end

  before(:each) do
    driver.navigate.to(site_url + "/frames.html")
  end

  after(:each) do
    driver.switch_to.default_content()
  end

  after(:all) do
    driver.close unless debugging?
  end

  it "Test Frames" do
    driver.switch_to.frame(driver.find_element(:name, "topNav")) # name
    driver.find_element(:link_text, "Menu 2 in top frame").click

    driver.switch_to.default_content()
    driver.switch_to.frame(driver.find_element(:id, "topNavId")) # id
    driver.find_element(:link_text, "Menu 2 in top frame").click

    driver.switch_to.default_content()
    elem_frame = driver.find_element(:id, "topNavId")
    driver.switch_to.frame(elem_frame)
    driver.find_element(:link_text, "Menu 2 in top frame").click
  end

  it "Testing iFrame" do
    driver.navigate.to(site_url + "/iframe.html")
    driver.find_element(:name, "user").send_keys("agileway")
    driver.switch_to.frame("Frame1")
    driver.find_element(:name, "username").send_keys("tester")
    driver.find_element(:name, "password").send_keys("TestWise")
    driver.find_element(:id, "loginBtn").click
    sleep 0.5
    expect(driver.page_source).to include("Signed in")
    driver.switch_to.default_content()
    driver.find_element(:id, "accept_terms").click
  end

  it "Testing iFrames by index" do
    driver.navigate.to(site_url + "/iframes.html")
    driver.switch_to.frame(0)
    driver.find_element(:name, "username").send_keys("agileway")
    driver.switch_to.default_content()
    driver.switch_to.frame(1)
    driver.find_element(:id, "radio_male").click
  end
end
