load File.dirname(__FILE__) + '/../test_helper.rb'

describe "Selenium vs Cypress" do
  include TestHelper

  before(:all) do
    @driver = $driver =  Selenium::WebDriver.for(browser_type, browser_options)
  end

  before(:each) do
  end

  after(:all) do
    driver.quit unless debugging?
  end
  

  it "adds numbers" do
    driver.navigate.to(site_url + "/calculator.html")
    a = driver.find_element(:name, "a")["value"].to_i 
    b = driver.find_element(:name, "b")["value"].to_i
    result = driver.find_element(:id, "result").text.to_i
    expect(a + b).to eq(result)
  end
  
  # See the equivalent Cypress version by the most well-known Cypress expert 
  # https://glebbahmutov.com/blog/avoid-cypress-pyramid-of-doom/
  
=begin
it('adds numbers via aliases', () => {
  cy.visit('public/index.html')
  cy.get('[name=a]').invoke('val').then(parseInt).as('a')
  cy.get('[name=b]').invoke('val').then(parseInt).as('b')
  cy.get('#result')
    .invoke('text')
    .then(parseInt)
    .as('result')
    .then(function () {
      expect(this.a + this.b).to.eq(this.result)
    })
})
=end

end

