require "selenium-webdriver"

describe "Selenium Recipes - Start different browers" do
  it "Start Chrome" do
    driver = Selenium::WebDriver.for(:chrome)
    driver.navigate.to("http://travel.agileway.net")
    sleep 1
    driver.quit
  end

  it "Start Chrome with custom Chrome path" do
    if RUBY_PLATFORM =~ /mingw/
      # if Selenium unable to detect Chrome browser in default location
      the_chrome_options = Selenium::WebDriver::Chrome::Options.new
      # Another option: "C:\Program Files (x86)\Google\Chrome\Application\chrome.exe"
      the_chrome_options.binary = "C:\\Program Files\\Google\\Chrome\\Application\\chrome.exe"

      if Selenium::WebDriver::VERSION =~ /^3/
        driver = Selenium::WebDriver.for(:chrome, :options => the_chrome_options)
      else
        puts "Selenium WebDriver 4"
        driver = Selenium::WebDriver.for(:chrome, :capabilities => the_chrome_options)
      end
      driver.navigate.to("http://travel.agileway.net")
      sleep 1
      driver.quit
    end
  end

  it "Start FireFox" do
    driver = Selenium::WebDriver.for(:firefox)
    driver.navigate.to("http://travel.agileway.net")
    expect(driver.title).to eq("Agile Travel")
    sleep 1
    driver.quit
  end

  it "Start IE" do
    if RUBY_PLATFORM =~ /mingw/
      driver = Selenium::WebDriver.for(:ie)
      driver.get("http://travel.agileway.net")
      sleep 1
      expect(driver.page_source).to include("User Name")
      driver.quit
    end
  end

  # need install MicrosoftWebDriver
  it "Start Edge (Legacy)" do
    if RUBY_PLATFORM =~ /mingw/ # check platform
      driver = Selenium::WebDriver.for(:edge)
      driver.navigate.to("https://whenwise.com")
      sleep 1
      driver.quit
    end
  end

  it "Start Edge Chromium" do
    if RUBY_PLATFORM =~ /mingw/ # check platform
      driver = Selenium::WebDriver.for(:edge)
      driver.navigate.to("https://whenwise.com")
      sleep 1
      driver.quit
    end
  end

  # need install SafariDriver
  it "Start safari" do
    if RUBY_PLATFORM =~ /darwin/ # check platform
      driver = Selenium::WebDriver.for(:safari)
      driver.navigate.to("https://whenwise.com")
      sleep 1
      driver.quit
    end
  end
end
